Bug 231249 - gnome-mount handling of nautilus-properties seriously broken
gnome-mount handling of nautilus-properties seriously broken
Product: Fedora
Classification: Fedora
Component: gnome-mount (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Depends On:
  Show dependency treegraph
Reported: 2007-03-06 18:18 EST by Michal Jaegermann
Modified: 2013-03-05 22:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-05 14:44:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2007-03-06 18:18:44 EST
Description of problem:

Here is a scenario.

With gnome-mount-nautilus-properties installed under
'Properties->Volume->Settings' for that volume icon a user now
can specify, among other things, a mount point.  It is perfectly
natural to type there something like "/media/my_mount" or
maybe try to have that mount point in some other place.   There is
no validation and such string is accepted.  On the next attempt
to mount a big surprise!  It turns out that there are various
"bad" characters for that string and gnome-mount simply bails
out.  No icon for a volume hence no way to change the offending
string; at least not by the same means it was set (yes, I know
that one can use gconftool-2 or gconf-editor but this is not
obvious to somebody who just typed the above).  There is also
a "broken" auto-mounting and time to panic.  Not good at all...

Likely the simplest way out would be to throw an alert with
complaints but, if a proposed string cannot be used, just to
ignore it and mount a volume the same way as before.  Automatically
opening a needed location in 'Properties' where a name needs to
be retyped would be of a great help.  Maybe asking for an
input validation is also not too much?

At least erasing everything in "Mount Point:" field works as expected.

Version-Release number of selected component (if applicable):

How reproducible:
Comment 1 Steven Op de beeck 2007-04-13 04:01:06 EDT

Normally, even when it fails to mount the device as you describe, it still shows
up in computer:///. Going into properties there allows you to correct the mount
However, I agree it should do some input checking beforehand. And it should be
made clear that you can only change the mountpoint in a very limited way (within
/media), or allow to change it more extensively. I too made that mistake the
first time.
Comment 2 Michal Jaegermann 2007-04-14 13:57:20 EDT
> And it should be made clear that you can only change the mountpoint
> in a very limited way (within /media).

That was not even the main trouble.  Limiting new mount points to /media
does not help.  If some characters are deemed "bad", even if they were
accepted before, gnome_mount will simply barf on you.  Limiting mount
point to something withing /media does not help.

Like I said, at a minimum it should complain and ignore instead of bailing out.
Comment 3 Steven Op de beeck 2007-04-16 06:17:22 EDT
Sure, I completely agree. That's why that sentence started with _and_ :)
Comment 4 David Zeuthen 2007-04-16 12:01:31 EDT
And, hey, upstream (= me) agree it's broken too! I just haven't had time to make
this nicer but it's definitely on my list of things to do... if you want to work
on this, I'd be happy to give advice on what needs changing. Thanks!
Comment 5 Matthias Clasen 2007-04-17 15:06:47 EDT
This should probably be tracked upstream. David, whats the right bugzilla for
gnome-mount ?
Comment 6 David Zeuthen 2007-04-17 17:59:10 EDT
gnome-mount is tracked in the GNOME bugzilla.
Comment 7 Bug Zapper 2008-04-03 19:38:34 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 8 Michal Jaegermann 2008-04-05 14:44:36 EDT
Interfaces drastically changed and the report is not relevant
any longer. There is simply no such options anymore.

Note You need to log in before you can comment on or make changes to this bug.